calls.initiate
Dial a number with an agent through a telephony configuration.
Reference
POST/api/v1/telephony/initiate-call
- Auth
- API key in
X-API-Key - Content
- application/json
- Returns
- 200 · any
Initiate a call using the configured telephony provider from web browser. This is supposed to be a test call method for the draft version of the agent.
Arguments
| Argument | In | Type | Required | Description |
|---|---|---|---|---|
workflow_id | body | integer | required | |
workflow_run_id | body | integer | optional | |
phone_number | body | string | optional | |
telephony_configuration_id | body | integer | optional | |
from_phone_number_id | body | integer | optional |
Example request
curl -X POST "https://api.decibyl.ai/api/v1/telephony/initiate-call" \
-H "X-API-Key: dcb_your_key" \
-H "Content-Type: application/json" \
-d '{"workflow_id":1,"workflow_run_id":1,"phone_number":"string","telephony_configuration_id":1,"from_phone_number_id":1}'Response
{}Errors
| Status | When |
|---|---|
404 | Not found |
422 | Validation Error |